package fr.cnam.poker.commun;

import java.io.Serializable;

// Class de dfinition de la requte de demande d'abonnement d'une vue au modle de Poker
//
public class RequeteAbonnement implements Serializable {
	private static final long serialVersionUID = 1L;
	
	// Les informations passes en paramtre de la requte
	//
	private String host;      // Le host de la machine sur laquelle est excut la vue (IHM Poker)
	private int port;         // Le port utilis par le serveur de socket de la vue (IHM Poker)
	private String nomJoueur; // Nom du joueur
	
	public RequeteAbonnement(String host, int port,String nomJoueur) {
		super();
		this.host = host;
		this.port = port;
		this.nomJoueur=nomJoueur;
	}

	public String getHost() {
		return host;
	}

	public int getPort() {
		return port;
	}

	public void setHost(String host) {
		this.host = host;
	}

	public void setPort(int port) {
		this.port = port;
	}

	public String getNomJoueur() {
		return nomJoueur;
	}
	
	
}
