package fr.cnam.poker.main;

import fr.cnam.poker.client.VuePokerIHM;
import fr.cnam.poker.client.ServeurIHM;


// PROGRAMME PRINCIPAL d'excution d'une IHM de Poker
//
public class MainPokerIHM {

	public static void main(String[] args) throws Exception {
		
		// Initialisation des informations rcuprs en paramres de lancement 
		//
		VuePokerIHM.getInstance().setNomJoueur(args[0]);
		ServeurIHM.getInstance().setHostServeurPoker(args[1]);
		ServeurIHM.getInstance().setPortServeurPoker(Integer.parseInt(args[2]));
		ServeurIHM.getInstance().setPortServeurIHM(Integer.parseInt(args[3]));
		
		// Demande d'abonnement au serveur de Poker
		VuePokerIHM.getInstance().sabonner();  
		
		 // Dmarrage du serveur de socket de l'IHM de Poker
		ServeurIHM.getInstance().start();     
		
	}
}
